Attribute VB_Name = "Module2"
Sub EGLN()
Attribute ProLn.VB_Description = "Konvertering af lndele tll ProLn"
Attribute ProLN.VB_ProcData.VB_Invoke_Func = "l\n14"
'
' PROLN Makro
' Konvertering af lndele tll ProLN
'
' Genvejstast:Ctrl+l
'
    Columns("B:B").Select
    Selection.Replace What:="101", Replacement:="1002", LookAt:=xlPart, _
        SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
        ReplaceFormat:=False
	Selection.Replace What:="125", Replacement:="2326", LookAt:=xlPart, _
        SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
        ReplaceFormat:=False
	Selection.Replace What:="150", Replacement:="2601", LookAt:=xlPart, _
        SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
        ReplaceFormat:=False
	Selection.Replace What:="201", Replacement:="1002", LookAt:=xlPart, _
        SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
        ReplaceFormat:=False
	Selection.Replace What:="603", Replacement:="8641", LookAt:=xlPart, _
        SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
        ReplaceFormat:=False
	Selection.Replace What:="604", Replacement:="3111", LookAt:=xlPart, _
        SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
        ReplaceFormat:=False
	Selection.Replace What:="605", Replacement:="1005", LookAt:=xlPart, _
        SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
        ReplaceFormat:=False
	Selection.Replace What:="800", Replacement:="3240", LookAt:=xlPart, _
        SearchOrder:=xlByRows, MatchCase:=False, SearchFormat:=False, _
        ReplaceFormat:=False
	    ActiveWindow.SmallScroll Down:=-33
    GroupCells
    Range("A1").Select
                                                      
End Sub

Public Sub GroupCells()
    Dim currentCell As Range
    Dim rowCount As Integer
    Dim sumValue As Double
    sumValue = 0

    rowCount = Sheets(1).UsedRange.Rows.Count
    
    Columns.Sort key1:=Columns(1), key2:=Columns(2), key3:=Columns(4)
    
    For currentRow = rowCount To 1 Step -1
        Set currentCell = Cells(currentRow, 3)
        If (currentRow = 1) Then
            currentCell = sumValue + currentCell
        ElseIf (Cells(currentRow, 1) = Cells(currentRow - 1, 1) And Cells(currentRow, 2) = Cells(currentRow - 1, 2) And Cells(currentRow, 4) = Cells(currentRow - 1, 4)) Then
            sumValue = sumValue + currentCell
            currentCell = ""
        ElseIf (sumValue <> 0) Then
            currentCell = sumValue + currentCell
            sumValue = 0
        End If
        
        If (IsEmpty(currentCell)) Then
            currentCell.EntireRow.Delete
        Else
            sumValue = Cells(currentRow, 3) * Cells(currentRow, 4)
            
            splits = Split(sumValue & "", ",")
        
            If ((UBound(splits) - LBound(splits) + 1) = 1) Then
                txtValue = Int(sumValue) & ",00"
            ElseIf Len(splits(1)) = 1 Then
                txtValue = sumValue & "0"
            ElseIf Len(splits(1)) = 2 Then
                txtValue = sumValue
            Else
                txtValue = CLng(sumValue * 100) / 100
            End If

            Cells(currentRow, 5) = txtValue
            sumValue = 0
        End If
    Next
End Sub